/* Element Chalk Variables */
.el-popper {
  --el-popper-border-radius: var(--el-popover-border-radius, 4px);
}

.el-popper {
  position: absolute;
  border-radius: var(--el-popper-border-radius);
  padding: 5px 11px;
  z-index: 2000;
  font-size: 12px;
  line-height: 20px;
  min-width: 10px;
  overflow-wrap: break-word;
  word-break: normal;
  visibility: visible;
}
.el-popper.is-dark {
  color: var(--el-bg-color);
  background: var(--el-text-color-primary);
  border: 1px solid var(--el-text-color-primary);
}
.el-popper.is-dark > .el-popper__arrow::before {
  border: 1px solid var(--el-text-color-primary);
  background: var(--el-text-color-primary);
  right: 0;
}

.el-popper.is-light {
  background: var(--el-bg-color-overlay);
  border: 1px solid var(--el-border-color-light);
}
.el-popper.is-light > .el-popper__arrow::before {
  border: 1px solid var(--el-border-color-light);
  background: var(--el-bg-color-overlay);
  right: 0;
}

.el-popper.is-pure {
  padding: 0;
}

.el-popper__arrow {
  position: absolute;
  width: 10px;
  height: 10px;
  z-index: -1;
}
.el-popper__arrow::before {
  position: absolute;
  width: 10px;
  height: 10px;
  z-index: -1;
  content: " ";
  transform: rotate(45deg);
  background: var(--el-text-color-primary);
  box-sizing: border-box;
}

.el-popper[data-popper-placement^=top] > .el-popper__arrow {
  bottom: -5px;
}
.el-popper[data-popper-placement^=top] > .el-popper__arrow::before {
  border-bottom-right-radius: 2px;
}
.el-popper[data-popper-placement^=bottom] > .el-popper__arrow {
  top: -5px;
}
.el-popper[data-popper-placement^=bottom] > .el-popper__arrow::before {
  border-top-left-radius: 2px;
}
.el-popper[data-popper-placement^=left] > .el-popper__arrow {
  right: -5px;
}
.el-popper[data-popper-placement^=left] > .el-popper__arrow::before {
  border-top-right-radius: 2px;
}
.el-popper[data-popper-placement^=right] > .el-popper__arrow {
  left: -5px;
}
.el-popper[data-popper-placement^=right] > .el-popper__arrow::before {
  border-bottom-left-radius: 2px;
}
.el-popper[data-popper-placement^=top] > .el-popper__arrow::before {
  border-top-color: transparent !important;
  border-left-color: transparent !important;
}
.el-popper[data-popper-placement^=bottom] > .el-popper__arrow::before {
  border-bottom-color: transparent !important;
  border-right-color: transparent !important;
}
.el-popper[data-popper-placement^=left] > .el-popper__arrow::before {
  border-left-color: transparent !important;
  border-bottom-color: transparent !important;
}
.el-popper[data-popper-placement^=right] > .el-popper__arrow::before {
  border-right-color: transparent !important;
  border-top-color: transparent !important;
}